libsigc++ 2.4.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
sigc::const_reference_wrapper< T_type > Struct Template Reference

Const reference wrapper. More...

`#include <sigc++/reference_wrapper.h>`

## Public Member Functions
| const_reference_wrapper (const T_type& v)
| operator const T_type& () const

## Public Attributes
const T_type& | value_

## Detailed Description

### template<class T_type>
struct sigc::const_reference_wrapper< T_type >

Const reference wrapper.

Use sigc::ref() to create a const reference wrapper.

## Constructor & Destructor Documentation

template <class T_type >

sigc::const_reference_wrapper< T_type >::const_reference_wrapper | ( | const T_type & | v | ) |
| inline explicit

## Member Function Documentation

template <class T_type >

sigc::const_reference_wrapper< T_type >::operator const T_type& | ( |  | ) | const
| inline

## Member Data Documentation

template <class T_type >

const T_type& sigc::const_reference_wrapper< T_type >::value_